import React, { ReactNode } from "react";

export default function ContentCard(props: {
  outerClass?: string,
  innerClass?: string,
  children: ReactNode
}) {
  return (
    <div
      className={"col-span-1 filter drop-shadow-card shadow-zinc-950 " + (props.outerClass ? props.outerClass : "")}>
      <div
        className={"bg-zinc-800 p-6 pixel-corner-md text-justify h-full shadow-pixel-inset shadow-zinc-700/50 " + (props.innerClass ? props.innerClass : "")}>
        {props.children}
      </div>
    </div>
  )
}
